Bug 239338 - CVE-2007-1253: blender arbitrary python code execution
Summary: CVE-2007-1253: blender arbitrary python code execution
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: blender   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-07 17:35 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 17:09:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-05-07 17:35:35 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1253

"Eval injection vulnerability in the (a) kmz_ImportWithMesh.py Script for
Blender 0.1.9h, as used in (b) Blender before 2.43, allows user-assisted remote
attackers to execute arbitrary Python code by importing a crafted (1) KML or (2)
KMZ file."

Comment 1 Jochen Schmitt 2007-05-08 17:09:59 UTC
I have remove the insecure script from the package.



Note You need to log in before you can comment on or make changes to this bug.